<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    app:startDestination="@id/introHomeFragment">
    <fragment
        android:id="@+id/introHomeFragment"
        android:name="in.nymble.julia.ui.fragment.IntroHomeFragment"
        android:label="IntroHomeFragment" >
        <action
            android:id="@+id/action_introHomeFragment_to_introFragment"
            app:destination="@id/introFragment" />
    </fragment>
    <fragment
        android:id="@+id/introFragment"
        android:name="in.nymble.julia.ui.fragment.intro.IntroFragment"
        android:label="IntroFragment" >
        <action
            android:id="@+id/action_introFragment_to_signUpFragment2"
            app:destination="@id/signUpFragment" />
        <action
            android:id="@+id/action_introFragment_to_logInFragment"
            app:destination="@id/logInFragment" />
    </fragment>
    <fragment
        android:id="@+id/signUpFragment"
        android:name="in.nymble.julia.ui.fragment.signup.SignUpFragment"
        android:label="SignUpFragment" >
        <action
            android:id="@+id/action_signUpFragment_to_onboardOneFragment"
            app:destination="@id/onboardOneFragment" />
    </fragment>
    <fragment
        android:id="@+id/logInFragment"
        android:name="in.nymble.julia.ui.fragment.login.LoginFragment"
        android:label="LogInFragment" >
        <action
            android:id="@+id/action_logInFragment_to_homeActivity"
            app:destination="@id/homeActivity" />
    </fragment>
    <fragment
        android:id="@+id/onboardOneFragment"
        android:name="in.nymble.julia.ui.fragment.onboard.OnboardOneFragment"
        android:label="OnboardOneFragment" >
        <action
            android:id="@+id/action_onboardOneFragment_to_onboardTwoFragment"
            app:destination="@id/onboardTwoFragment" />
    </fragment>
    <fragment
        android:id="@+id/onboardTwoFragment"
        android:name="in.nymble.julia.ui.fragment.onboard.OnboardTwoFragment"
        android:label="OnboardTwoFragment" >
        <action
            android:id="@+id/action_onboardTwoFragment_to_homeActivity"
            app:destination="@id/homeActivity" />
    </fragment>
    <activity
        android:id="@+id/homeActivity"
        android:name="in.nymble.julia.ui.home.HomeActivity"
        android:label="HomeActivity" />
</navigation>